TAAS - Feature #30

Region Category
08/25/2022 11:43 AM - Anil KV

Status: Reopen Bugs Testing Done Start date: 08/25/2022
Priority: Normal Due date: 08/27/2022
Assignee: Sreeranjini T % Done: 90%
Category: Estimated time: 24:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): 12.00 Code Reviewed By:

Module: Region Category

Description

Coding Region Category

History

#1 - 08/25/2022 01:54 PM - Anil KV

In travel-data.service.ts

public lstRegionBasedOn = [

{ "intId": 0, "strLabel": "No Choose", "blnDisable": false, "blnActive": true, "strRemarks": "" },

{ "intId": 1, "strLabel": "Airport", "blnDisable": false, "blnActive": false, "strRemarks": "" },

{ "intId": 2, "strLabel": "Country", "blnDisable": false, "blnActive": false, "strRemarks": "" },

{ "intId": 3, "strLabel": "Select In GUI", "blnDisable": false, "blnActive": false, "strRemarks": "" },

{ "intId": 4, "strLabel": "Select In Sale / Refund GUI Master", "blnDisable": false, "blnActive": false, "
strRemarks": "" }
#2 - 08/26/2022 05:44 PM - Anonymous
- Time Taken(HH) set to 12.00

#3 - 09/13/2022 03:33 PM - Anil KV
- Status changed from New to Coding Done

- % Done changed from 0 to 60

#4 - 12/01/2022 02:11 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.SET GUI TRANSLATION

(TEXT ON DIV EXPAND)

2.GUI ALIGNMENT
(PACKAGE,PACKAGE CATEGORY)

#5 - 12/16/2022 06:01 PM - Amal Cyriac

ISSUE FOUND *****
1.ALLOW UPPER AND LOWER CASE LETTERS

#6 - 12/16/2022 06:23 PM - Junaid M
Changes
1) Add Checkbox "Use in Sale and Refund Master".

2) Show tabs (Service, Package, Package Category) only when Use in Sale and Refund Master is unticked state.
3) Allow Tick either one from Checkbox "Use in Sale and Refund Master", "Use in Tax".
Functional

In Sale, Refund Master - Load only ticked checkbox "Use in Sale and Refund Master"

#7 - 12/21/2022 11:36 AM - Shanto Shaji

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- Assignee changed from Jinu KT to Shanto Shaji

- % Done changed from 50 to 60

#8 - 01/02/2023 04:37 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED *****
1.fix bugs in service tab
(ticked items unticking while update)

#9 - 01/06/2023 02:25 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#10 - 02/17/2023 05:21 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.FIX BUGS ON SERVICE,PACKAGE, & PACKAGE CATEGORY
(CHECK BOXES UNTICKED AFTER UPDATION)

#11 - 02/18/2023 02:07 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#12 - 06/08/2023 07:15 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Set minimum height for General tab
(Similar to other tabs)

2.Fix error on Sale And refund Check box
(Tabs must hidden while checked)

#13 - 06/09/2023 10:51 AM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#14 - 06/29/2023 04:35 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.ADD BLANK OPTIONS IN THE BASED ON
2.ADD BLANK OPTION IN STATUS

#15 - 07/05/2023 12:06 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#16 - 09/27/2023 10:13 AM - Junaid M

- Assignee changed from Shanto Shaji to Baseem Shan

#17 - 02/10/2024 04:18 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.CONNECT PRINT

2.ADD MANDATORY FIELD RED STAR IN STATUS

3.CONNECT THE WORK FLOW BASED ON WISE SELECTION IN RELATED UI'S
4.FUNCTIONING OF CHECK BOXES IN Ul

#18 - 02/14/2024 10:02 AM - Junaid M

- Assignee changed from Baseem Shan to Vivekp V

#19 - 02/14/2024 12:53 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.CONNECT PRINT

2.ADD MANDATORY FIELD RED STAR IN STATUS

3.CONNECT THE WORK FLOW BASED ON WISE SELECTION IN RELATED UI'S functionality to be done buy those of issue and sale
4 FUNCTIONING OF CHECK BOXES IN Ul functionality to be done buy those of issue and sale

#20 - 04/17/2024 05:35 PM - unnikannan S

ISSUE FOUNDED

1.Show Validation While Unticking Check Box Use Tax Calculation In Case The Category Is Used In Any Billing Tax item
#21 - 04/17/2024 05:35 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#22 - 04/18/2024 03:08 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Show Validation While Unticking Check Box Use Tax Calculation In Case The Category Is Used In Any Billing Tax item

#23 - 04/19/2024 10:27 AM - unnikannan S
TESTING DONE

#24 - 04/19/2024 10:29 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.In Case Of Deleting The Saved Billing Tax Allow To Untick The Tax Calculation Check Box

#25 - 04/19/2024 06:55 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.In Case Of Deleting The Saved Billing Tax Allow To Untick The Tax Calculation Check Box

#26 - 04/22/2024 10:09 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.Blocking Deletion in Case Of Deleting The Billing Tax Saved By Tax Calculation Region Category
#27 - 04/23/2024 07:22 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

ISSUE FIXED

1.Blocking Deletion in Case Of Deleting The Billing Tax Saved By Tax Calculation Region Category
#28 - 11/15/2024 09:58 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#29 - 12/06/2024 01:57 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

NEW CHANGES DONE

1. Hide pacakge tab and keep package category.

#30 - 12/06/2024 01:59 PM - Arathy PS

- Status changed from Reopen Bugs to New Changes

#31 - 12/18/2024 05:30 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#32 - 12/27/2024 03:08 PM - Theja Ponon
- Status changed from New Changes Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#33 - 01/13/2025 05:53 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

NEW CHANGES CODING DONE

1. On the 'Use Tax Calculation' add a blue star and a title : The category will be loaded to billing tax master module.

2. Switch the position of 'Use Sale And Refund Document Number Generation' and 'Use Sale And Refund Master'.

3. Add blue star to 'Use Sale And Refund Master' and also add title: The regions created using this region category will be shown in the master of
Sale and refund modules.

#34 - 01/14/2025 09:50 AM - Arathy PS

- Assignee changed from Vivekp V to Sreeranjini T
#35 - 01/14/2025 05:18 PM - Sreeranjini T
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#36 - 01/17/2025 10:23 AM - Theja Ponon
- Status changed from New Changes Coding Done to New Changes Testing Done

- % Done changed from 70 to 90

#37 - 02/18/2025 04:53 PM - Theja Ponon
- Status changed from New Changes Testing Done to Reopen Bugs

- % Done changed from 90 to 50

Issue Fixed

1) Service
In new button click Service selection is cleared.
(Select all)

#38 - 02/19/2025 10:01 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#39 - 02/20/2025 10:56 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

Files

1-CsModel.cs 1.91 KB 08/25/2022 Anil KV
2-tsModel.ts 1.36 KB 08/25/2022 Anil KV
4-CsControllerFile.cs 24.8 KB 08/25/2022 Anil KV
3-CsFile.cs 14.1 KB 08/25/2022 Anil KV
5-TsFile.ts 14 KB 08/25/2022 Anil KV
6-HtmlFile.html 1.91 KB 08/25/2022 Anil KV
sql.sql 14.6 KB 08/25/2022 Anil KV
